### Hierarchy

- AckBuffers

## Index

### Constructors

- constructor

### Properties

- buffers
- maxRetries
- promise
- reject
- resolve
- retries
- timer

### Methods

- processAckPacket
- startTimer

## Constructors

### constructor

- new AckBuffers(buffers: Buffer[], cbk: function, maxRetries: number): AckBuffers

- - Defined in network.ts:235

  #### Parameters

  - ##### buffers: Buffer[]

  - ##### cbk: function

    - - (buffers: Buffer[]): void

      - #### Parameters

        - ##### buffers: Buffer[]

        #### Returns void

  - ##### maxRetries: number

  #### Returns AckBuffers

## Properties

### buffers

buffers: Map<number, Buffer> = new Map<number, Buffer>()

- Defined in network.ts:229

### Private maxRetries

maxRetries: number

- Defined in network.ts:235

### promise

promise: Promise<void>

- Defined in network.ts:230

### Private reject

reject: function

- Defined in network.ts:232

#### Type declaration

- - (reason?: any): void

  - #### Parameters

    - ##### Optional reason: any

    #### Returns void

### Private resolve

resolve: function

- Defined in network.ts:231

#### Type declaration

- - (value?: any): void

  - #### Parameters

    - ##### Optional value: any

    #### Returns void

### Private retries

retries: number = 0

- Defined in network.ts:234

### Private timer

timer: Timer

- Defined in network.ts:233

## Methods

### processAckPacket

- processAckPacket(data: Buffer, offset: number): boolean

- - Defined in network.ts:247

  #### Parameters

  - ##### data: Buffer

  - ##### offset: number

  #### Returns boolean

### Private startTimer

- startTimer(cbk: function): void

- - Defined in network.ts:262

  #### Parameters

  - ##### cbk: function

    - - (buffers: Buffer[]): void

      - #### Parameters

        - ##### buffers: Buffer[]

        #### Returns void

Generated using TypeDoc